<p class="title"><%= 'Edit properties'.t + ' '+ h(@myfile.filename) %></p>

<% form_tag :action => 'update', :id => @myfile do %>
    <%= myfile_to_file(error_messages_for('myfile')) %>
    <label for="myfile_filename"><%= 'Name:'.t %></label><br />
    <%= text_field 'myfile', 'filename'  %><br />
    <label for="myfile_tag_list"><%= 'Tags: '.t %></label><br />
    <%= text_field 'myfile', 'tag_list' %><br />
    <%= 'Separate multiple tags with'.t %> &ldquo;<%= TagList.delimiter %>&rdquo;<br /> 
    <% unless @myfile.version == 0 %>
      <label for="myfile_make_current"><%= 'Make current: '.t %>
      <%= check_box 'ftarget', 'make_current'%>
    <% end %>
    <br />
    <%= submit_tag 'Update'.t %>
<% end %>
<p>
<%= link_to 'List all versions'.t, :controller => 'folder', :action => 'list_versions', :myfile_id => @myfile unless Myfile.versions(@myfile).size == 1%>
<br />
<%= link_to 'Add preview/description'.t, :controller => :file, :action => 'edit_preview', :id => @myfile  unless @myfile.indexed %>
<br />
<%= link_to 'Activity'.t, :controller => :file, :action => 'activity', :id => @myfile %>
</p>
